# DataFramesMeta.jl

[![Coveralls](https://coveralls.io/repos/github/JuliaStats/DataFramesMeta.jl/badge.svg?branch=master)](https://coveralls.io/github/JuliaStats/DataFramesMeta.jl?branch=master)
[![CI Testing](https://github.com/JuliaData/DataFramesMeta.jl/workflows/CI/badge.svg)](https://github.com/JuliaData/DataFramesMeta.jl/actions?query=workflow%3ACI+branch%3Amaster)
[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaData.github.io/DataFramesMeta.jl/stable)
[![](https://img.shields.io/badge/docs-dev-blue.svg)](https://JuliaData.github.io/DataFramesMeta.jl/dev)

Metaprogramming tools for DataFrames.jl objects.

# Installation

DataFramesMeta.jl is a registered Julia package. Run either of the following to 
install:

```julia
julia> import Pkg; Pkg.add("DataFramesMeta")
```

or via the `Pkg` REPL mode (enter by typing `]` at the REPL console)

```julia
] add DataFramesMeta
```

# Documentation

* [Stable](https://JuliaData.github.io/DataFramesMeta.jl/stable)
* [Development](https://JuliaData.github.io/DataFramesMeta.jl/dev)

# Package Maintenance

Any of the
[JuliaData collaborators](https://github.com/orgs/JuliaData/teams/collaborators)
have write access and can accept pull requests.

Pull requests are welcome. Pull requests should include updated tests. If
functionality is changed, docstrings should be added or updated. Generally,
follow the guidelines in
[DataFrames](https://github.com/JuliaData/DataFrames.jl/blob/master/CONTRIBUTING.md).
